# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "nova-boot"
version = "0.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core runtime types and utilities for Nova"
readme = "README.md"
keywords = [
    "microservices",
    "axum",
    "web",
    "nova",
]
categories = ["web-programming::http-server"]
license = "MIT"
repository = "https://github.com/nova-boot-rs/nova"
resolver = "2"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[features]
database = ["sea-orm"]
default = []
redis-store = ["nova-resilience-store/redis-store"]
tls = ["dep:axum-server"]

[lib]
name = "nova_boot"
path = "src/lib.rs"

[[test]]
name = "debug_error"
path = "tests/debug_error.rs"

[[test]]
name = "redis_store_integration"
path = "tests/redis_store_integration.rs"

[dependencies.async-trait]
version = "0.1"

[dependencies.axum]
version = "0.8"

[dependencies.axum-server]
version = "0.8"
features = ["tls-rustls-no-provider"]
optional = true

[dependencies.inventory]
version = "0.3"

[dependencies.nova-macros]
version = "0.1.0"

[dependencies.nova-resilience-store]
version = "0.1.0"

[dependencies.sea-orm]
version = "1.1"
optional = true

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.tokio]
version = "1.0"
features = ["full"]

[dependencies.tower]
version = "0.5"

[dependencies.tower-http]
version = "0.6"
features = [
    "trace",
    "cors",
    "request-id",
]

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-subscriber]
version = "0.3"
features = ["env-filter"]

[dev-dependencies.serial_test]
version = "3.4"
